Bug 141015 - It's not visible to user that a MailMerge document without database fields is associated with the database
Summary: It's not visible to user that a MailMerge document without database fields is...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.2.0 target:7.1.3 target:7.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-14 08:55 UTC by Mike Kaganski
Modified: 2021-05-12 04:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2021-03-14 08:55:44 UTC
MailMerge documents are associated with databases. Opening a MailMerge document with related fields, relevant toolbar is shown (after tdf#115386).

However, for MM documents without database fields, this toolbar is not shown, so it is not obvious that there is such an association.

Steps:

1. Create a Mail Merge document.
2. Remove all database fields from it.
3. Save and reopen.
=> Mail Merge toolbar is not shown.
4. Open its settings.xml
=> associated database is there in CurrentDatabaseDataSource, but there is nothing in the UI to see this.

This association will show itself when opening More Fields dialog: it will try to expand the associated database on Database tab. If that database is password-protected, it will ask for password, which could be unexpected to users, who do not realize they work with a Mail Merge document after they removed all fields.

Use steps (or repro pack) from tdf#141011; remove all database fields; save and reload the document; open More Fields dialog
=> password is requested.
Comment 1 Commit Notification 2021-03-14 09:58:12 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/346153f08c907739ca310934ad45814379971027

tdf#141015: Show Mail Merge toolbar when DBData has data source

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-03-17 20:14:40 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/b3c94568e25990b1f6b3df1f7919acecdca3ffd2

tdf#141015: Show Mail Merge toolbar when DBData has data source

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Jean-Baptiste Faure 2021-03-21 16:29:59 UTC
Hi Mike,

are you sure that this change is a good idea ? I have several text documents that now have this damned toolbar and with which I never did mail merge.
How do you detect that a document is a mail merge document? Are you sure that there is no false positive with bibliography database ?

Best regards. JBF
Comment 4 Mike Kaganski 2021-03-21 20:10:00 UTC
(In reply to Jean-Baptiste Faure from comment #3)
> are you sure that this change is a good idea ? I have several text documents
> that now have this damned toolbar and with which I never did mail merge.

I think that it is not optimal when document contains invisible traces of something that user is not aware of. This change is aiming to create awareness in users, but it might be not ideal - do you have a suggestion what would be better?

> How do you detect that a document is a mail merge document?

As mentioned in comment 0, I check associated database.

> Are you sure that there is no false positive with bibliography database ?

No I'm not sure, but I *think* there should not be false positives with bibliography (as I tested it).

Please file a bug (with a sample), and CC me. I will of course try to see what could be done. (By the way, were you the original author of those documents? could they be some "empty documents created by clearing everything from an ex-MM document" from someone else?)
Comment 5 Jean-Baptiste Faure 2021-03-30 10:32:08 UTC
In fact my problem comes probably from some old QA tests. I checked the settings.xml file of these text documents and they contain a reference to address book and none to bibliography database. I probably tried something about address fields and after that removed the fields.

So if many users complain about this toolbar, perhaps it could be interesting to add a mean to remove reference to the forgotten and unused database. Something more user friendly than manually editing the settings.xml file. :-)

Best regards. JBF
Comment 6 Commit Notification 2021-05-11 20:35:42 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2009af1c0fb4fead653dd7688347c15d74eaa1b0

Revert "tdf#141015: Show Mail Merge toolbar when DBData has data source"

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-05-12 04:17:25 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8ca83e3801ee8e6359159ab4c222eedbf76e63dc

Revert "tdf#141015: Show Mail Merge toolbar when DBData has data source"

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.